package lsedit;

import java.awt.Toolkit;
import java.awt.event.*;
import javax.swing.*;



public class PrintPromptDialog extends PrintPrompt {

	protected int type;

	protected LandscapeViewerCore ls;



	public PrintPromptDialog(LandscapeViewerCore ls, JFrame f, String prompt, String file, int type)

	{

		super(f);



		this.type = type;

		this.ls = ls;

		TextField1.setText(file);

		Label0.setText(prompt);

	}



	void Button2_action(ActionEvent evt, Object arg) { 

		//Button OK_button was hit



		Object[] res = new Object[4];



		res[0] = TextField1.getText();

		res[1] = new Boolean(Checkbox0.isSelected());

		res[2] = new Boolean(Checkbox1.isSelected());

		res[3] = new Boolean(Checkbox2.isSelected());



		this.setVisible(false);

		this.dispose();



		ls.dialogAction(res, type);

	}



	void Button3_action(ActionEvent evt, Object arg) { 

		//Button Cancel_button was hit

		this.setVisible(false);

		this.dispose();

	}



	public static void Create(LandscapeViewerCore ls, JFrame f, String banner, String prompt, String file, int mode)

	{

		PrintPromptDialog fpd = new PrintPromptDialog(ls, f, prompt, file, mode);



		fpd.setTitle(banner);

		fpd.setVisible(true); 

	}

}

